<template>
  <section class="mt-liste-groupes ">
    <article v-for="(groupe, index) in groupesToDisplay" :key="index" class="mt-groupe">
      {{ groupe.nom }}
    </article>
    <article v-if="groupeCache > 0" :key="index" class="mt-groupe">+ {{ groupeCache }}</article>
  </section>
</template>

<script>
export default {
  name: 'MtGroupes',
  props: {
    groupes: {
      type: Array,
      default: () => [],
      required: true,
    },
    limit: {
      type: Number,
      default: 2,
    },
  },
  computed: {
    groupesToDisplay() {
      if (!this.groupes) {
        return [];
      }
      return this.groupes.filter((value, index) => index < this.limit);
    },
    groupeCache() {
      return this.groupes.length - this.limit;
    },
  },
  methods: {
    close() {
      this.$emit('update:ouvert', false);
    },
  },
};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables';
.mt-liste-groupes {
  display: flex;
  margin: 0 0.25rem;
  align-items: center;
}
.mt-groupe {
  font-size: 0.6875rem;
  padding: 0.25em 1em;
  cursor: default;
}
</style>
